package com.qiuguo.iot.base.enums;

/*
* 条件类型
* 作者：吴林
* */
//条件类型：0：时间，1：节日 2：天气（晴天、阴天、下雨、下雪、冰雹、高温、泥石流、地震） 3：人体靠近感应
// 4：人体离开感应 5：声音感应 6：光照变亮感应 7：光照变暗感应 8：温度升高感应 9：温度降低感应 10：雨量感应
// 11：湿度变大感应 12：湿度变小感应 13：空气质量变差感应 14：空气质量变好感应 15：新闻事件
public enum ConditionTypeEnum {
    TIME(0, "具体时间"),
    FESTIVAL(1, "节日"),
    WEATHER(2, "天气"),
    BODY_SENSOR_NEAR(3, "人体靠近"),
    BODY_SENSOR_AWAY(4, "人体远离"),
    SOUND_SENSOR(5, "声音感应"),
    LIGHT_SENSOR_BRIGHTENS(6, "光线变亮"),
    LIGHT_SENSOR_DIMMING(7, "光纤变暗"),
    TEMPERATURE_SENSOR_HIGHT(8, "温度升高"),
    TEMPERATURE_SENSOR_LOW(9, "温度降低"),
    RAIN_SENSOR(10, "雨量感应器"),
    HUMIDITY_SENSOR_INCREASES(11, "湿度变大"),
    HUMIDITY_SENSOR_REDUCED(12, "湿度变小"),
    AIR_SENSOR_GOOD(13, "空气质量变好"),
    AIR_SENSOR_BAD(14, "空气质量变差"),
    NEWS(15, "新闻事件"),
    ;
     ConditionTypeEnum(Integer c, String n){
        code = c;
        name = n;
    }
    private Integer code;
    private String name;

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public static ConditionTypeEnum getEnumWithCode(Integer c){
        for (ConditionTypeEnum e:values()
        ) {
            if(e.getCode().compareTo(c) == 0){
                return e;
            }
        }
        return null;
    }
    public static ConditionTypeEnum getEnumWithName(String name){
        for (ConditionTypeEnum e:values()
        ) {
            if(e.getName().equals(name)){
                return e;
            }
        }
        return null;
    }
}
